/*!
 * Copyright (c) what3words http://what3words.com
 */
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s)
        if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
            t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import { h } from "@stencil/core";
import CloseButton from "../assets/close-button.svg";
import What3wordsLogo from "../assets/what3words-logo.svg";
export const Header = (_a) => {
    var { tag, onClose, style } = _a, props = __rest(_a, ["tag", "onClose", "style"]);
    return (h("header", { style: style, class: Object.fromEntries(Object.entries({
            [`${tag}-header`]: !!tag,
            [String(props.class)]: !!props.class,
        }).filter(([k]) => !["undefined"].includes(k))) }, h("img", { class: { [`${tag}-header-logo`]: !!tag }, src: What3wordsLogo, height: 14, alt: "what3words logo" }), h("button", { class: { [`${tag}-header-close-button`]: !!tag }, type: "button", "aria-label": "Close suggestions", onClick: onClose }, h("img", { src: CloseButton, height: 16, width: 16, alt: "close icon" }))));
};
